Bug 532302 - pam_console memory corruption
pam_console memory corruption
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-01 07:18 EST by Stas Sergeev
Modified: 2009-11-11 10:04 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.91-8.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-11 10:04:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fix memory corruption (386 bytes, patch)
2009-11-01 07:18 EST, Stas Sergeev
no flags Details | Diff

  None (edit)
Description Stas Sergeev 2009-11-01 07:18:24 EST
Created attachment 367005 [details]
fix memory corruption

Description of problem:
I finally got around to investigate
the ocasional freezes on logout.
Long story short, the attached patch
fixes the problem...

Version-Release number of selected component (if applicable):
pam-1.0.91-6.fc11.x86_64

How reproducible:
Difficult

Steps to Reproduce:
1. Log in
2. Log out
  
Actual results:
Sometimes it freezes

Expected results:
No freezes

Additional info:
Well, the bugs like this in a pam
modules are really f$$$ing damn not
funny. :)
Comment 1 Fedora Update System 2009-11-02 07:48:11 EST
pam-1.0.91-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pam-1.0.91-8.fc11
Comment 2 Fedora Update System 2009-11-04 07:11:21 EST
pam-1.0.91-8.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pam'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10922
Comment 3 Fedora Update System 2009-11-11 10:04:41 EST
pam-1.0.91-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.